## sag-0.6-pt.tar.gz

=== Makefile ===
#
# This is the Makefile for formatting the Linux System Administrators' Guide.
# You need LaTeX2e (probably a recent version), fig2dev (version 3), and
# the usual UNIX tools to run everything.  The distribution contains
# all formatted files (especially figures).
#
# Command ``make'' will format the book into .dvi and PostScript.
# Command ``make clean'' will remove all formatted files.
#

# make _should_ set this
SHELL=/bin/sh

#
# The following are implicit rules for make that tell it how to
# convert a .fig to a .ps or a .tex.
#
#.fig.ps:
#	fig2dev -Lps $< > $@
#.fig.tex:
#	fig2dev -Llatex $< > $@
.SUFFIXES: $(SUFFIXES) .fig .ps .tex

#
# The book consists of a huge number of files.  Each chapter has its
# own macro that tells which files are needed to format it.  Some of
# the files may need to be built first.
#

backups = \
	backups/backups.tex \
	backups/backup-timeline.ps

boothalt = \
	boothalt/boothalt.tex

disks = \
	disks/disks.tex \
	disks/hd-mount-mounted.ps \
	disks/hd-mount-separate.ps \
	disks/hd-layout.ps \
	disks/hd-schematic.ps

	
emergencies = \
	emergencies/emergencies.tex

glossary = \
	glossary/glossary.tex
	
init = \
	init/init.tex
	
intro = \
	intro/intro.tex intro/blurb.tex intro/convntns.tex intro/rhyme.tex

logins = \
	logins/logins.tex  \
	logins/logins-via-terminals.ps
	
measure = \
	measure-holes/measure-holes.tex

mem = \
	mem/mem.tex

overview = \
	overview/overview.tex \
	overview/overview-kernel.ps
	
printing = \
	printing/printing.tex
	
security = \
	security/security.tex

time = \
	time/time.tex
	
useradmin = \
	useradmin/useradmin.tex

walkabout = \
	walkabout/walkabout.tex \
	walkabout/fstree.ps

sources = \
	sag.tex \
	catalogo.tex \
	creditos.tex \
	sag.bib \
	linuxdoc.sty \
	comofazer/Bootdisk-HOWTO.tex \
	comofazer/Tips-HOWTO.tex  \
	frontmatter.tex \
#	linux-logo.ps \
	pinguim-original-pb.ps \
	contents.tex \
	$(backups) \
	$(boothalt) \
	$(disks) \
	$(emergencies) \
	$(glossary) \
	$(init) \
	$(intro) \
	$(logins) \
	$(measure) \
	$(mem) \
	$(overview) \
	$(printing) \
	$(security) \
	$(time) \
	$(useradmin) \
	$(walkabout)

all: sag.ps 
#all: sag.ps HTML/sag/sag.html

update: sag.ps
	./make-html -n

sag.ps: sag.dvi
	dvips            -x 820    -O 1cm,3cm sag.dvi -o sag.82.ps
#	dvips -h mirr.hd -x 820 -k -O 1cm,3cm sag.dvi -o sag.82.ps
	cp sag.82.ps sag.ps
#	dvips -f sag.dvi > sag.ps
#	dvips -x 820 -h mirrorprint.ps -k -O 1cm,3cm sag.dvi -o sag.82.ps
#	dvips -x 820 -k -O 1cm,3cm sag.dvi -o sag.82.ps

a4: sag.dvi
	dvips  sag.dvi -o sag.a4.ps

mirror: sag.dvi
# problema de manchinha
	dvips -h mirr.hd -x 820    -O 3.5cm,3cm sag.dvi -o sag.mirror.ps
#   normal
#	dvips -h mirr.hd -x 820    -O 1cm,3cm sag.dvi -o sag.mirror.ps

sag.dvi: $(sources)
	latex sag
	grep '{chapter}' sag.toc > sag.soc
	bibtex sag
	latex sag
	grep '{chapter}' sag.toc > sag.soc
	makeindex sag.idx
	latex sag
	cp sag.dvi foo.dvi

HTML/sag/sag.html: sag.dvi
	./make-html

clean:
	find . -name '*.toc' -print | xargs rm -f
	find . -name '*.soc' -print | xargs rm -f
	find . -name '*.idx' -print | xargs rm -f
	find . -name '*.ind' -print | xargs rm -f
	find . -name '*.ilg' -print | xargs rm -f
	find . -name '*.aux' -print | xargs rm -f
	find . -name '*.log' -print | xargs rm -f
	find . -name '*.dvi' -print | xargs rm -f
	find . -name '*.bbl' -print | xargs rm -f
	find . -name '*.blg' -print | xargs rm -f
	find . -name '*.fig' -print | sed 's/\.fig$$/.tex/' | xargs rm -f
#	find . -name '*.fig' -print | sed 's/\.fig$$/.ps/' | xargs rm -f
	find . -name '*.tex' -print | sed 's/\.tex$$/.ps/' | xargs rm -f
	rm -rf HTML

#
# Dependencies for figures.  Note that figures which do not require special
# options for building do not have to be listed here.
#

backups/backup-timeline.ps: backups/backup-timeline.fig
	fig2dev -Lps -m 0.8 $< > $@
disks/hd-mount-mounted.ps: disks/hd-mount-mounted.fig 
	fig2dev -Lps -m 0.5 $< > $@
disks/hd-mount-separate.ps: disks/hd-mount-separate.fig 
	fig2dev -Lps -m 0.5 $< > $@
disks/hd-schematic.ps: disks/hd-schematic.fig 
	fig2dev -Lps -m 0.5 $< > $@
disks/hd-layout.ps: disks/hd-layout.fig 
	fig2dev -Lps -m 0.75 $< > $@
logins/logins-via-terminals.ps: logins/logins-via-terminals.fig
	fig2dev -Lps -m 0.75 $< > $@
overview/overview-kernel.ps: overview/overview-kernel.fig
	fig2dev -Lps -m 0.75 $< > $@
walkabout/fstree.ps: walkabout/fstree.fig
	fig2dev -Lps -m 1.00 $< > $@

=== debian/changelog ===
sysadmin-guide (0.5) unstable; urgency=low

  * First release with Debian packaging files.
  * Added automatic conversion to HTML to the Makefile.
  * Converted pictures to PS, so that LaTeX2HTML will work better.
  * Added alternatives to beginning of sag.tex to support different
    paper sizes and stuff.
  * Added chapter on user accounts.
  * Minor changes to wording and other clarifications and fixes here 
    and there.

 -- Lars Wirzenius <liw@iki.fi>  Sun, 29 Jun 1997 02:15:18 +0300

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: sysadmin-guide
Section: doc
Priority: optional
Maintainer: Lars Wirzenius <liw@iki.fi>
Standards-Version: 2.1.0.0

Package: sysadmin-guide
Architecture: all
Description: The Linux System Administrators' Guide as HTML
 The Linux System Administrators' Guide is a book for people new to
 administering Linux systems. This package contains the HTML version,
 accessible via /usr/doc/sysadmin-guide/index.html (or dwww).

=== debian/rules ===
#!/usr/bin/make -f

build:
	$(MAKE)

clean:
	$(checkdir)
	$(MAKE) clean
	rm -rf *~ debian/tmp debian/*~ debian/files*

binary-indep:	checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp/DEBIAN
	install -d debian/tmp/etc
	install -d debian/tmp/usr/doc/sysadmin-guide
	install -d debian/tmp/usr/lib/menu
	cp -a HTML/sag/* debian/tmp/usr/doc/sysadmin-guide
	cp debian/menu debian/tmp/usr/lib/menu/sysadmin-guide
	cp debian/dwww-index debian/tmp/usr/doc/sysadmin-guide/.dwww-index
	cp debian/copyright debian/changelog debian/tmp/usr/doc/sysadmin-guide
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R g-ws debian/tmp
	dpkg --build debian/tmp ..

binary-arch:	checkroot build
	$(checkdir)
# There are no architecture-dependent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

define checkdir
	test -f debian/rules
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot
